__gnu_cxx::limit_condition(3)

NAME
__gnu_cxx::limit_condition - Base class for incremental control and throw.

SYNOPSIS

Inherits __gnu_cxx::condition_base.

Inherited by __gnu_cxx::throw_allocator_base< _Tp, limit_condition >, and __gnu_cxx::throw_value_base< limit_condition >.

  Classes
struct always_adjustor
Always enter the condition.
struct limit_adjustor
Enter the nth condition.
struct never_adjustor
Never enter the condition.

  Static Public Member Functions
static size_t & count ()
static size_t & limit ()
static void set_limit (const size_t __l)
static void throw_conditionally ()

Detailed Description

Base class for incremental control and throw.

Definition at line 416 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.